Subject: [bug#71246] [PATCH] gnu: audacity: Re-add fallback to locate ffmpeg via pkg-config.

From: Kaelyn <[email-masked]>
Date: Tue, 28 May 2024 19:21:59 +0000

Hi,

On Tuesday, May 28th, 2024 at 11:58 AM, Andy Tai <[email-masked]> wrote:

> 
> Please go ahead and file Guix package definition patch to restore the
> deleted ffmpeg patch

I apologize for not being clearer and including a proper reference; by "this patch", I meant https://issues.guix.gnu.org/71246.

Thanks,
Kaelyn

> On Tue, May 28, 2024 at 10:44 AM Kaelyn [email-masked] wrote:
> 
> > Hi,
> > 
> > This patch re-introduces the gnu/packages/patches/audacity-ffmpeg-fallback.patch that was deleted by commit cf5f7a8bf9ca2288700fcf351bbca0fc341ec969, which upgraded audacity to 3.5.1. The issue with it applying to the new audacity version is that the "lib-ffmpeg-support" folder moved from under "libraries/" to be under "modules/mod-ffmpeg/"; I have simply restored the existing patch and fixed the paths to the files.
> > 
> > Starting with the upgrade to audacity 3.5.1 with the patch dropped, any file that depended on ffmpeg to be loaded--such as the .m4a files produced by the recording app on an Android phone--fails to load. I also tried setting the path to the ffmpeg library through the GUI and had it consistently fail for me, and such files still could not be loaded (I have a few screenshots of the error messages). Restoring this patch has restored the ability to load .m4a and other files which depend on ffmpeg to be loaded, and without any special hoops needed to set up ffmpeg through the UI first.
> > 
> > Cheers,
> > Kaelyn